/*
 * This file is part of Saenaru.
 *
 * Copyright (c) 1990-1998 Microsoft Corporation.
 * Copyright (c) 2003 Hye-Shik Chang <perky@i18n.org>.
 * Copyright (c) 2003 Won-Kyu Park <wkpark@kldp.org>.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Saenaru: saenaru/src/vksub.h,v 1.3 2003/12/26 09:26:33 perky Exp $
 */

#define VK_0    0x030
#define VK_1    0x031
#define VK_2    0x032
#define VK_3    0x033
#define VK_4    0x034
#define VK_5    0x035
#define VK_6    0x036
#define VK_7    0x037
#define VK_8    0x038
#define VK_9    0x039
#define VK_A    0x041
#define VK_B    0x042
#define VK_C    0x043
#define VK_D    0x044
#define VK_E    0x045
#define VK_F    0x046
#define VK_G    0x047
#define VK_H    0x048
#define VK_I    0x049
#define VK_J    0x04A
#define VK_K    0x04B
#define VK_L    0x04C
#define VK_M    0x04D
#define VK_N    0x04E
#define VK_O    0x04F
#define VK_P    0x050
#define VK_Q    0x051
#define VK_R    0x052
#define VK_S    0x053
#define VK_T    0x054
#define VK_U    0x055
#define VK_V    0x056
#define VK_W    0x057
#define VK_X    0x058
#define VK_Y    0x059
#define VK_Z    0x05A

#define VK_OEM_NUMBER   VK_NUMLOCK      // NumLock
#define VK_OEM_SCROLL   VK_SCROLL       // ScrollLock
#define VK_OEM_SHIFT    0x92            // ShiftLock
#define VK_OEM_0        0x0B9           //
#define VK_OEM_9        0x0E0           // next available
#define VK_OEM_BSLASH   0x0E2           // additional Back Slash key for AX.

/*
 * ex: ts=8 sts=4 sw=4 et
 */
